Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2098088 - flatpak version has broken syntax highlighting preview
Summary: flatpak version has broken syntax highlighting preview
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-text-editor
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Link Dupont
QA Contact:
URL:
Whiteboard: openqa
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-06-17 08:47 UTC by Stephane Travostino
Modified: 2022-11-10 16:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-01 16:24:26 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Preferences window (deleted)
2022-06-17 08:47 UTC, Stephane Travostino
no flags Details

Description Stephane Travostino 2022-06-17 08:47:22 UTC
Created attachment 1890866 [details]
Preferences window

Description of problem:

The Flatpak version of GNOME text editor has a broken syntax highlighting preview window. See attachment for screenshot.

Version-Release number of selected component (if applicable):

42.1 from Fedora flatpaks

How reproducible:

Always

Steps to Reproduce:
1. Press menu icon -> Preferences

Additional info:

Tested on Fedora Silverblue 36

Comment 1 Stephane Travostino 2022-06-20 15:02:12 UTC
The version from Flathub doesn't exhibit this issue.

Comment 2 Adam Williamson 2022-06-28 22:23:17 UTC
openQA is hitting this too.

Comment 3 Fedora Update System 2022-10-25 18:44:18 UTC
FEDORA-FLATPAK-2022-16dddec903 has been submitted as an update to Fedora 37 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2022-16dddec903

Comment 4 Fedora Update System 2022-10-25 18:44:37 UTC
FEDORA-FLATPAK-2022-4705c66fa8 has been submitted as an update to Fedora 36 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2022-4705c66fa8

Comment 5 Kalev Lember 2022-10-25 18:47:23 UTC
adamw figured this out and it should be fixed (or at least worked around) with the flatpak runtime updates above. See https://github.com/fedora-silverblue/issue-tracker/issues/299

Comment 6 Fedora Update System 2022-10-26 18:41:27 UTC
FEDORA-FLATPAK-2022-16dddec903 has been pushed to the Fedora 37 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2022-16dddec903

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-10-26 18:45:44 UTC
FEDORA-FLATPAK-2022-4705c66fa8 has been pushed to the Fedora 36 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2022-4705c66fa8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-11-01 16:24:26 UTC
FEDORA-FLATPAK-2022-16dddec903 has been pushed to the Fedora 37 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Adam Williamson 2022-11-01 16:58:08 UTC
This does look fixed on my local machine at least, we'll see in openQA once the update gets to those tests.

Comment 10 Fedora Update System 2022-11-02 15:45:29 UTC
FEDORA-FLATPAK-2022-8109f715d7 has been pushed to the Fedora 36 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2022-8109f715d7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-11-10 16:23:43 UTC
FEDORA-FLATPAK-2022-8109f715d7 has been pushed to the Fedora 36 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.